Index: ./x11/xorg-libs/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xorg-libs/buildlink3.mk,v
retrieving revision 1.14
diff -u -r1.14 buildlink3.mk
--- ./x11/xorg-libs/buildlink3.mk	23 Feb 2006 23:17:30 -0000	1.14
+++ ./x11/xorg-libs/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -18,8 +18,8 @@
 
 .if !empty(XORG_LIBS_BUILDLINK3_MK:M+)
 
-BUILDLINK_DEPENDS.xorg-libs+=		xorg-libs>=6.9.0
-BUILDLINK_RECOMMENDED.xorg-libs?=	xorg-libs>=6.9.0nb2
+BUILDLINK_API_DEPENDS.xorg-libs+=		xorg-libs>=6.9.0
+BUILDLINK_ABI_DEPENDS.xorg-libs?=	xorg-libs>=6.9.0nb2
 BUILDLINK_PKGSRCDIR.xorg-libs?=		../../x11/xorg-libs
 BUILDLINK_LIBDIRS.xorg-libs?=		${X11ROOT_PREFIX}/lib
 BUILDLINK_TRANSFORM.xorg-libs+=		-e "s|/${X11ROOT_PREFIX}/|/|"
Index: ./x11/xorg-libs/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xorg-libs/builtin.mk,v
retrieving revision 1.3
diff -u -r1.3 builtin.mk
--- ./x11/xorg-libs/builtin.mk	16 Oct 2005 19:53:36 -0000	1.3
+++ ./x11/xorg-libs/builtin.mk	4 Apr 2006 06:26:59 -0000
@@ -43,7 +43,7 @@
 .    if defined(BUILTIN_PKG.xorg-libs) && \
         !empty(IS_BUILTIN.xorg-libs:M[yY][eE][sS])
 USE_BUILTIN.xorg-libs=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.xorg-libs}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.xorg-libs}
 .        if !empty(USE_BUILTIN.xorg-libs:M[yY][eE][sS])
 USE_BUILTIN.xorg-libs!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.xorg-libs:Q}; then \
Index: ./x11/xosd/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xosd/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./x11/xosd/buildlink3.mk	5 Feb 2006 23:11:48 -0000	1.5
+++ ./x11/xosd/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xosd
 
 .if !empty(XOSD_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xosd+=	xosd>=2.2.12
-BUILDLINK_RECOMMENDED.xosd+=	xosd>=2.2.12nb2
+BUILDLINK_API_DEPENDS.xosd+=	xosd>=2.2.12
+BUILDLINK_ABI_DEPENDS.xosd+=	xosd>=2.2.12nb2
 BUILDLINK_PKGSRCDIR.xosd?=	../../x11/xosd
 .endif	# XOSD_BUILDLINK3_MK
 
Index: ./x11/xscreensaver/Makefile.common
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xscreensaver/Makefile.common,v
retrieving revision 1.85
diff -u -r1.85 Makefile.common
--- ./x11/xscreensaver/Makefile.common	5 Dec 2005 20:51:20 -0000	1.85
+++ ./x11/xscreensaver/Makefile.common	4 Apr 2006 06:26:59 -0000
@@ -10,7 +10,7 @@
 HOMEPAGE=		http://www.jwz.org/xscreensaver/
 
 BUILD_USES_MSGFMT=	yes
-BUILDLINK_DEPENDS.Xrandr+=	Xrandr>=1.0.2
+BUILDLINK_API_DEPENDS.Xrandr+=	Xrandr>=1.0.2
 
 USE_PKGLOCALEDIR=	yes
 USE_X11=		yes
Index: ./x11/xscreensaver/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xscreensaver/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./x11/xscreensaver/buildlink3.mk	5 Feb 2006 23:11:49 -0000	1.4
+++ ./x11/xscreensaver/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xscreensaver
 
 .if !empty(XSCREENSAVER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xscreensaver+=	xscreensaver>=4.14
-BUILDLINK_RECOMMENDED.xscreensaver?=	xscreensaver>=4.22nb3
+BUILDLINK_API_DEPENDS.xscreensaver+=	xscreensaver>=4.14
+BUILDLINK_ABI_DEPENDS.xscreensaver?=	xscreensaver>=4.22nb3
 BUILDLINK_PKGSRCDIR.xscreensaver?=	../../x11/xscreensaver
 .endif	# XSCREENSAVER_BUILDLINK3_MK
 
Index: ./x11/xview-lib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/xview-lib/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./x11/xview-lib/buildlink3.mk	5 Feb 2006 23:11:50 -0000	1.2
+++ ./x11/xview-lib/buildlink3.mk	4 Apr 2006 06:26:59 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xview-lib
 
 .if !empty(XVIEW_LIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xview-lib+=	xview-lib>=3.2.1
-BUILDLINK_RECOMMENDED.xview-lib?=	xview-lib>=3.2.1nb6
+BUILDLINK_API_DEPENDS.xview-lib+=	xview-lib>=3.2.1
+BUILDLINK_ABI_DEPENDS.xview-lib?=	xview-lib>=3.2.1nb6
 BUILDLINK_PKGSRCDIR.xview-lib?=	../../x11/xview-lib
 .endif	# XVIEW_LIB_BUILDLINK3_MK
 
Index: ./x11/zenity/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/zenity/Makefile,v
retrieving revision 1.30
diff -u -r1.30 Makefile
--- ./x11/zenity/Makefile	21 Mar 2006 06:00:54 -0000	1.30
+++ ./x11/zenity/Makefile	4 Apr 2006 06:26:59 -0000
@@ -18,7 +18,7 @@
 GNU_CONFIGURE=		yes
 USE_TOOLS+=		gmake pkg-config
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.8.0
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.8.0
 
 .include "../../devel/GConf2/schemas.mk"
 .include "../../devel/gettext-lib/buildlink3.mk"
Index: mk/apache.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mk/apache.mk,v
retrieving revision 1.9
diff -u -r1.9 apache.mk
--- mk/apache.mk	21 Apr 2005 23:05:41 -0000	1.9
+++ mk/apache.mk	4 Apr 2006 06:26:59 -0000
@@ -108,8 +108,8 @@
 _PKG_APACHE=		"none"
 .endif
 
-BUILDLINK_DEPENDS.apache13?=	apache-1.3*
-BUILDLINK_DEPENDS.apache2?=	apache-2*
+BUILDLINK_API_DEPENDS.apache13?=	apache-1.3*
+BUILDLINK_API_DEPENDS.apache2?=	apache-2*
 
 .if ${_PKG_APACHE} == "apache13"
 _APACHE_PKGSRCDIR=	../../www/apache
Index: mk/bsd.pkg.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mk/bsd.pkg.mk,v
retrieving revision 1.1812
diff -u -r1.1812 bsd.pkg.mk
--- mk/bsd.pkg.mk	20 Mar 2006 01:48:57 -0000	1.1812
+++ mk/bsd.pkg.mk	4 Apr 2006 06:27:00 -0000
@@ -760,11 +760,11 @@
 
 .include "../../mk/wrapper/bsd.wrapper.mk"
 
-.if defined(RECOMMENDED)
-.  if !empty(IGNORE_RECOMMENDED:M[nN][oO])
-DEPENDS+=		${RECOMMENDED}
+.if defined(ABI_DEPENDS)
+.  if !empty(USE_ABI_DEPENDS:M[yY][eE][sS])
+DEPENDS+=		${ABI_DEPENDS}
 .  else
-BUILD_DEFS+=		IGNORE_RECOMMENDED
+BUILD_DEFS+=		USE_ABI_DEPENDS
 .  endif
 .endif
 
@@ -1806,8 +1806,8 @@
 	@${ECHO_MSG} "${_PKGSRC_IN}> Warning: ${PKGNAME} may not be made available through FTP:"
 	@${ECHO_MSG} "${_PKGSRC_IN}>         " ${NO_BIN_ON_FTP:Q}
 .  endif
-.  if defined(RECOMMENDED) && !empty(IGNORE_RECOMMENDED:M[yY][eE][sS])
-	@${ECHO_MSG} "${_PKGSRC_IN}> Warning: dependency recommendations are being ignored!"
+.  if defined(ABI_DEPENDS) && !empty(USE_ABI_DEPENDS:M[Nn][Oo])
+	@${ECHO_MSG} "${_PKGSRC_IN}> Warning: ABI dependency recommendations are being ignored!"
 	@${ECHO_MSG} "${_PKGSRC_IN}>          ${PKGNAME} should not be uploaded nor"
 	@${ECHO_MSG} "${_PKGSRC_IN}>          otherwise be used as a binary package!"
 .  endif
Index: mk/db1.builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mk/db1.builtin.mk,v
retrieving revision 1.14
diff -u -r1.14 db1.builtin.mk
--- mk/db1.builtin.mk	11 Aug 2005 20:25:20 -0000	1.14
+++ mk/db1.builtin.mk	4 Apr 2006 06:27:00 -0000
@@ -41,7 +41,7 @@
 USE_BUILTIN.db1=	${IS_BUILTIN.db1}
 .    if defined(BUILTIN_PKG.db1) && !empty(IS_BUILTIN.db1:M[yY][eE][sS])
 USE_BUILTIN.db1=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.db1}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.db1}
 .        if !empty(USE_BUILTIN.db1:M[yY][eE][sS])
 USE_BUILTIN.db1!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.db1:Q}; then	\
Index: mk/java-vm.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mk/java-vm.mk,v
retrieving revision 1.44
diff -u -r1.44 java-vm.mk
--- mk/java-vm.mk	12 Dec 2005 14:43:26 -0000	1.44
+++ mk/java-vm.mk	4 Apr 2006 06:27:00 -0000
@@ -199,18 +199,18 @@
 _PKG_JVM=		"none"
 .endif
 
-BUILDLINK_DEPENDS.blackdown-jdk13?=	blackdown-jdk13-[0-9]*
-BUILDLINK_DEPENDS.blackdown-jre13?=	blackdown-jre13-[0-9]*
-BUILDLINK_DEPENDS.jdk?=			jdk-[0-9]*
-BUILDLINK_DEPENDS.jdk14?=		jdk14-[0-9]*
-BUILDLINK_DEPENDS.kaffe?=		kaffe>=1.1.4
-BUILDLINK_DEPENDS.sun-jdk13?=		sun-jdk13-[0-9]*
-BUILDLINK_DEPENDS.sun-jre13?=		sun-jre13-[0-9]*
-BUILDLINK_DEPENDS.sun-jdk14?=		sun-jdk14-[0-9]*
-BUILDLINK_DEPENDS.sun-jre14?=		sun-jre14-[0-9]*
-BUILDLINK_DEPENDS.sun-jdk15?=		sun-jdk15-[0-9]*
-BUILDLINK_DEPENDS.sun-jre15?=		sun-jre15-[0-9]*
-#BUILDLINK_DEPENDS.win32-jdk?=		win32-jdk>=0.1
+BUILDLINK_API_DEPENDS.blackdown-jdk13?=	blackdown-jdk13-[0-9]*
+BUILDLINK_API_DEPENDS.blackdown-jre13?=	blackdown-jre13-[0-9]*
+BUILDLINK_API_DEPENDS.jdk?=			jdk-[0-9]*
+BUILDLINK_API_DEPENDS.jdk14?=		jdk14-[0-9]*
+BUILDLINK_API_DEPENDS.kaffe?=		kaffe>=1.1.4
+BUILDLINK_API_DEPENDS.sun-jdk13?=		sun-jdk13-[0-9]*
+BUILDLINK_API_DEPENDS.sun-jre13?=		sun-jre13-[0-9]*
+BUILDLINK_API_DEPENDS.sun-jdk14?=		sun-jdk14-[0-9]*
+BUILDLINK_API_DEPENDS.sun-jre14?=		sun-jre14-[0-9]*
+BUILDLINK_API_DEPENDS.sun-jdk15?=		sun-jdk15-[0-9]*
+BUILDLINK_API_DEPENDS.sun-jre15?=		sun-jre15-[0-9]*
+#BUILDLINK_API_DEPENDS.win32-jdk?=		win32-jdk>=0.1
 
 _JRE.blackdown-jdk13=	blackdown-jre13
 _JRE.jdk=		jdk
Index: mk/oss.builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mk/oss.builtin.mk,v
retrieving revision 1.1
diff -u -r1.1 oss.builtin.mk
--- mk/oss.builtin.mk	9 Mar 2006 20:23:13 -0000	1.1
+++ mk/oss.builtin.mk	4 Apr 2006 06:27:00 -0000
@@ -37,7 +37,7 @@
 .    if defined(BUILTIN_PKG.oss) && \
         !empty(IS_BUILTIN.oss:M[yY][eE][sS])
 USE_BUILTIN.oss=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.oss}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.oss}
 .        if !empty(USE_BUILTIN.oss:M[yY][eE][sS])
 USE_BUILTIN.oss!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.oss:Q}; then	\
Index: mk/pthread.buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mk/pthread.buildlink3.mk,v
retrieving revision 1.21
diff -u -r1.21 pthread.buildlink3.mk
--- mk/pthread.buildlink3.mk	4 Nov 2005 14:36:23 -0000	1.21
+++ mk/pthread.buildlink3.mk	4 Apr 2006 06:27:00 -0000
@@ -116,7 +116,7 @@
 .elif ${PTHREAD_TYPE} == "${_PKG_PTHREAD}"
 .  if exists(${_PKG_PTHREAD_BUILDLINK3_MK})
 .    if !empty(_PKG_PTHREAD_DEPENDS)
-BUILDLINK_DEPENDS.${_PKG_PTHREAD}+=	${_PKG_PTHREAD_DEPENDS}
+BUILDLINK_API_DEPENDS.${_PKG_PTHREAD}+=	${_PKG_PTHREAD_DEPENDS}
 .    endif
 .    include "${_PKG_PTHREAD_BUILDLINK3_MK}"
 BUILDLINK_PREFIX.pthread=		${BUILDLINK_PREFIX.${_PKG_PTHREAD}}
Index: mk/solaris-pam.builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mk/solaris-pam.builtin.mk,v
retrieving revision 1.3
diff -u -r1.3 solaris-pam.builtin.mk
--- mk/solaris-pam.builtin.mk	1 Jun 2005 18:03:06 -0000	1.3
+++ mk/solaris-pam.builtin.mk	4 Apr 2006 06:27:00 -0000
@@ -32,7 +32,7 @@
 .    if defined(BUILTIN_PKG.solaris-pam) && \
         !empty(IS_BUILTIN.solaris-pam:M[yY][eE][sS])
 USE_BUILTIN.solaris-pam=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.solaris-pam}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.solaris-pam}
 .        if !empty(USE_BUILTIN.solaris-pam:M[yY][eE][sS])
 USE_BUILTIN.solaris-pam!=						\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.solaris-pam:Q}; then \
Index: mk/tex.buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mk/tex.buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 tex.buildlink3.mk
--- mk/tex.buildlink3.mk	27 Feb 2006 12:14:50 -0000	1.12
+++ mk/tex.buildlink3.mk	4 Apr 2006 06:27:00 -0000
@@ -88,11 +88,11 @@
 
 # set up variables for buildlink or depends
 #
-BUILDLINK_DEPENDS.teTeX1=	teTeX-bin-1.[0-9]*
+BUILDLINK_API_DEPENDS.teTeX1=	teTeX-bin-1.[0-9]*
 BUILDLINK_PKGSRCDIR.teTeX1=	../../print/teTeX1-bin
-BUILDLINK_DEPENDS.teTeX2=	teTeX-bin-2.[0-9]*
+BUILDLINK_API_DEPENDS.teTeX2=	teTeX-bin-2.[0-9]*
 BUILDLINK_PKGSRCDIR.teTeX2=	../../print/teTeX-bin
-BUILDLINK_DEPENDS.teTeX3=	teTeX-bin-3.[0-9]*
+BUILDLINK_API_DEPENDS.teTeX3=	teTeX-bin-3.[0-9]*
 BUILDLINK_PKGSRCDIR.teTeX3=	../../print/teTeX3-bin
 
 # Determine the TeX version to be used.
@@ -110,13 +110,13 @@
 # Set version specifics.
 #
 .if ${TEX_TYPE} == "teTeX3"
-_TEX_DEPENDENCY=	${BUILDLINK_DEPENDS.teTeX3}
+_TEX_DEPENDENCY=	${BUILDLINK_API_DEPENDS.teTeX3}
 _TEX_PKGSRCDIR=	${BUILDLINK_PKGSRCDIR.teTeX3}
 .elif ${TEX_TYPE} == "teTeX2"
-_TEX_DEPENDENCY=	${BUILDLINK_DEPENDS.teTeX2}
+_TEX_DEPENDENCY=	${BUILDLINK_API_DEPENDS.teTeX2}
 _TEX_PKGSRCDIR=	${BUILDLINK_PKGSRCDIR.teTeX2}
 .elif ${TEX_TYPE} == "teTeX1"
-_TEX_DEPENDENCY=	${BUILDLINK_DEPENDS.teTeX1}
+_TEX_DEPENDENCY=	${BUILDLINK_API_DEPENDS.teTeX1}
 _TEX_PKGSRCDIR=	${BUILDLINK_PKGSRCDIR.teTeX1}
 .endif
 
Index: mk/buildlink3/bsd.buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mk/buildlink3/bsd.buildlink3.mk,v
retrieving revision 1.172
diff -u -r1.172 bsd.buildlink3.mk
--- mk/buildlink3/bsd.buildlink3.mk	9 Dec 2005 16:16:41 -0000	1.172
+++ mk/buildlink3/bsd.buildlink3.mk	4 Apr 2006 06:27:01 -0000
@@ -48,8 +48,8 @@
 # BUILDLINK_PACKAGES+=	foo
 #
 # .if !empty(FOO_BUILDLINK3_MK:M+)
-# BUILDLINK_DEPENDS.foo+=	foo-lib>=1.0
-# BUILDLINK_RECOMMENDED.foo?=	foo-lib>=1.0nb1
+# BUILDLINK_API_DEPENDS.foo+=	foo-lib>=1.0
+# BUILDLINK_ABI_DEPENDS.foo?=	foo-lib>=1.0nb1
 # BUILDLINK_PKGSRCDIR.foo?=	../../category/foo-lib
 #
 # # We want "-lbar" to eventually resolve to "-lfoo".
@@ -184,33 +184,33 @@
 #
 _BLNK_ADD_TO.DEPENDS=		# empty
 _BLNK_ADD_TO.BUILD_DEPENDS=	# empty
-_BLNK_ADD_TO.RECOMMENDED=	# empty
+_BLNK_ADD_TO.ABI_DEPENDS=	# empty
 .for _pkg_ in ${_BLNK_DEPENDS_LIST}
 .  if !empty(BUILDLINK_DEPMETHOD.${_pkg_}:Mfull)
 _BLNK_DEPMETHOD.${_pkg_}=	_BLNK_ADD_TO.DEPENDS
-_BLNK_RECMETHOD.${_pkg_}=	_BLNK_ADD_TO.RECOMMENDED
+_BLNK_ABIMETHOD.${_pkg_}=	_BLNK_ADD_TO.ABI_DEPENDS
 .  elif !empty(BUILDLINK_DEPMETHOD.${_pkg_}:Mbuild)
 _BLNK_DEPMETHOD.${_pkg_}=	_BLNK_ADD_TO.BUILD_DEPENDS
-_BLNK_RECMETHOD.${_pkg_}=	_BLNK_ADD_TO.BUILD_DEPENDS
+_BLNK_ABIMETHOD.${_pkg_}=	_BLNK_ADD_TO.BUILD_DEPENDS
 .  endif
-.  if defined(BUILDLINK_DEPENDS.${_pkg_}) && \
+.  if defined(BUILDLINK_API_DEPENDS.${_pkg_}) && \
       defined(BUILDLINK_PKGSRCDIR.${_pkg_})
-.    for _depend_ in ${BUILDLINK_DEPENDS.${_pkg_}}
+.    for _depend_ in ${BUILDLINK_API_DEPENDS.${_pkg_}}
 .      if empty(${_BLNK_DEPMETHOD.${_pkg_}}:M${_depend_}\:*)
 ${_BLNK_DEPMETHOD.${_pkg_}}+=	${_depend_}:${BUILDLINK_PKGSRCDIR.${_pkg_}}
 .      endif
 .    endfor
 .  endif
-.  if defined(BUILDLINK_RECOMMENDED.${_pkg_}) && \
+.  if defined(BUILDLINK_ABI_DEPENDS.${_pkg_}) && \
       defined(BUILDLINK_PKGSRCDIR.${_pkg_})
-.    for _rec_ in ${BUILDLINK_RECOMMENDED.${_pkg_}}
-.      if empty(${_BLNK_RECMETHOD.${_pkg_}}:M${_rec_}\:*)
-${_BLNK_RECMETHOD.${_pkg_}}+=	${_rec_}:${BUILDLINK_PKGSRCDIR.${_pkg_}}
+.    for _abi_ in ${BUILDLINK_ABI_DEPENDS.${_pkg_}}
+.      if empty(${_BLNK_ABIMETHOD.${_pkg_}}:M${_abi_}\:*)
+${_BLNK_ABIMETHOD.${_pkg_}}+=	${_abi_}:${BUILDLINK_PKGSRCDIR.${_pkg_}}
 .      endif
 .    endfor
 .  endif
 .endfor
-.for _depmethod_ in DEPENDS BUILD_DEPENDS RECOMMENDED
+.for _depmethod_ in DEPENDS BUILD_DEPENDS ABI_DEPENDS
 .  if !empty(_BLNK_ADD_TO.${_depmethod_})
 ${_depmethod_}+=	${_BLNK_ADD_TO.${_depmethod_}}
 .  endif
@@ -280,7 +280,7 @@
 #
 .  if !defined(_BLNK_PKG_DBDIR.${_pkg_})
 _BLNK_PKG_DBDIR.${_pkg_}?=	# empty
-.    for _depend_ in ${BUILDLINK_DEPENDS.${_pkg_}}
+.    for _depend_ in ${BUILDLINK_API_DEPENDS.${_pkg_}}
 .      if empty(_BLNK_PKG_DBDIR.${_pkg_}:M*not_found)
 _BLNK_PKG_DBDIR.${_pkg_}!=	\
 	dir="";								\
Index: mk/buildlink3/bsd.builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mk/buildlink3/bsd.builtin.mk,v
retrieving revision 1.6
diff -u -r1.6 bsd.builtin.mk
--- mk/buildlink3/bsd.builtin.mk	20 Jun 2005 05:44:17 -0000	1.6
+++ mk/buildlink3/bsd.builtin.mk	4 Apr 2006 06:27:01 -0000
@@ -85,7 +85,7 @@
 # .    if defined(BUILTIN_PKG.wibble) && \
 #         !empty(IS_BUILTIN.wibble:M[yY][eE][sS])
 # USE_BUILTIN.wibble=	yes
-# .      for _dep_ in ${BUILDLINK_DEPENDS.wibble}
+# .      for _dep_ in ${BUILDLINK_API_DEPENDS.wibble}
 # .        if !empty(USE_BUILTIN.wibble:M[yY][eE][sS])
 # USE_BUILTIN.wibble!=							\
 #	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.wibble:Q}; then	\
Index: mk/defaults/mk.conf
===================================================================
RCS file: /cvsroot/pkgsrc/mk/defaults/mk.conf,v
retrieving revision 1.114
diff -u -r1.114 mk.conf
--- mk/defaults/mk.conf	30 Mar 2006 04:57:45 -0000	1.114
+++ mk/defaults/mk.conf	4 Apr 2006 06:27:01 -0000
@@ -100,17 +100,17 @@
 # Possible: defined, not defined
 # Default: not defined
 
-IGNORE_RECOMMENDED?=	no
-# Ignore package prerequisite recommendations.  If this is set to
-# "no", all entries in RECOMMENDED will be added to DEPENDS.
-# If set to "yes", a warning will be printed if recommendations
+USE_ABI_DEPENDS?=	yes
+# Honor package prerequisite ABI recommendations.  If this is set
+# to "yes", all entries in ABI_DEPENDS will be added to DEPENDS.
+# If set to "no", a warning will be printed if recommendations
 # are possibly ignored.
 #
 # WARNING: This should only be set if you know what you're doing.
 # Please read pkgsrc/doc/pkgsrc.txt for details.
 #
 # Possible: yes, no
-# Default: no
+# Default: yes
 
 #PKG_REGISTER_SHELLS= YES
 # Automatically register shells in /etc/shells
Index: mk/tools/replace.mk
===================================================================
RCS file: /cvsroot/pkgsrc/mk/tools/replace.mk,v
retrieving revision 1.163
diff -u -r1.163 replace.mk
--- mk/tools/replace.mk	19 Mar 2006 23:40:07 -0000	1.163
+++ mk/tools/replace.mk	4 Apr 2006 06:27:01 -0000
@@ -322,7 +322,7 @@
 .  elif !empty(_TOOLS_USE_PKGSRC.flex:M[yY][eE][sS])
 .    include "../../devel/flex/buildlink3.mk"
 _TOOLS_DEPENDS.flex=		# empty
-.      for _dep_ in ${BUILDLINK_DEPENDS.flex}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.flex}
 _TOOLS_DEPENDS.flex+=		${_dep_}:${BUILDLINK_PKGSRCDIR.flex}
 .      endfor
 TOOLS_DEPENDS.flex?=		${_TOOLS_DEPENDS.flex}
@@ -459,7 +459,7 @@
 .  elif !empty(_TOOLS_USE_PKGSRC.lex:M[yY][eE][sS])
 .    include "../../devel/flex/buildlink3.mk"
 _TOOLS_DEPENDS.lex=		# empty
-.      for _dep_ in ${BUILDLINK_DEPENDS.flex}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.flex}
 _TOOLS_DEPENDS.lex+=		${_dep_}:${BUILDLINK_PKGSRCDIR.flex}
 .      endfor
 TOOLS_DEPENDS.lex?=		${_TOOLS_DEPENDS.lex}
